Subject: Re: [PATCH 3/5] diff: add --default-prefix option

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Mar 2023 09:04:21 -0800

Jeff King <[email-masked]> writes:

> While it is not _quite_ the same thing to say "use prefixes a/ and b/"
> versus "countermand any config and use the default", it is close enough
> that I am tempted to say this patch should be scrapped. I mostly just
> wanted to have a way to counter format.noprefix, if we are going to
> endorse it as a concept (whether by adding it, or saying "no, respecting
> diff.noprefix is not a bug").
>
> (If we do scrap it, I'd probably fold the extra tests into the previous
> commit, but using --src-prefix, etc).

I would very much like to keep this one; if we can find a shorter
name that would be even sweeter.

I am wondering if we can keep the current behaviour instead and send
a message: "if you do not want your everyday diff not to have
prefixes, fine, go set diff.noprefix, but if you do not like that
format-patch also gives a no-prefix patches with that configuration,
or at times you may want your 'git show' to show the standard
prefix, you can countermand your diff.noprefix configuration".